package org.iphsoft.simon1;

import org.iphsoft.simon1.util.DeviceIdentifier.DeviceModel;

public class DeviceConfigurationsSTS extends DeviceConfigurations {

	@Override
	public String[] getDevicesUsingUltraMode()
	{
		return new String[]
		{ "Nexus 5" };
	}

	@Override
	public String[] getGPUKindsUsingUltraMode()
	{
		return new String[]
		{ "Adreno (TM) 330", "Adreno (TM) 420", "PowerVR Rogue Hood", "Adreno (TM) 418" };
	}

	@Override
	public String[] getDevicesUsingHardwareScaler()
	{
		return new String[]
		{ "Nexus 4", "GT-I9500", "HTC One X", "HTC One XL", "Nexus 10", "GT-P5210", "GT-P5210XD1",
				"Nexus 7", "Nexus 5" };
	}

	@Override
	public String[] getDevicesUsingLQHardwareScaler()
	{
		return new String[]
		{ "GT-I9100", "GT-I9300", "SM-T310", "SM-T315", "Nexus 9" };
	}

	@Override
	public String[] getGPUKindsUsingHardwareScalerTest()
	{
		return new String[]
		{ "Adreno (TM) 320", "PowerVR SGX 544MP", "Adreno (TM) 225", "Mali-T604",
				"Adreno (TM) 330", "Mali-T628", "Intel(R) HD Graphics for BayTrail" };
	}
	
	@Override
	public String[] getGPUKindsUsingLQHardwareScaler()
	{
		return new String[]
		{ "NVIDIA Tegra" };
	}

	@Override
	public String[] getGPUKindsUsingSoftwareScaler()
	{
		return new String[]
		{ "PowerVR SGX 540", "Adreno", "Adreno (TM) 200", "Adreno 200" };
	}

	@Override
	public String[] getGPUKindsUsingLQHardwareScalerTest()
	{
		return new String[]
		{ "NVIDIA Tegra 3", "Mali-400 MP" };
	}

	@Override
	public DeviceModel[] getDevicesUsingMT32Emu()
	{
		return new DeviceModel[]
		{ DeviceModel.Galaxy_S4, DeviceModel.NEXUS7_2013, DeviceModel.NEXUS5,
				DeviceModel.Galaxy_S2, DeviceModel.Galaxy_S3, DeviceModel.Kindle_KFAPWA,
				DeviceModel.Kindle_KFAPWI, DeviceModel.Kindle_KFTHWA, DeviceModel.Kindle_KFTHWI,
				DeviceModel.THL_W200, DeviceModel.Sony_Xperia_SP, DeviceModel.Galaxy_Note_2,
				DeviceModel.Galaxy_Note_3_9002, DeviceModel.Galaxy_Note_3_9005,
				DeviceModel.Galaxy_S5_SM_G900F, DeviceModel.Galaxy_S5_SM_G900FQ,
				DeviceModel.Galaxy_S5_SM_G900I, DeviceModel.Galaxy_S5_SM_G900M, DeviceModel.Acer_Iconia_Tab_8, DeviceModel.LG_G3, DeviceModel.LG_G4 };
	}
}
